Subject: Re: bug#5735: New curses/termcap requirement for linking Emacs, but configure check missing.
From: Jan Djärv <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 Mar 2010 12:59:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii skrev:
>> Date: Thu, 18 Mar 2010 08:44:02 +0100
>> From: Jan Djärv <[email-masked]>
>> Cc: 
>>
>> Since a couple of days ago may be a week), Emacs requires libncurses
>> development files (or similar termcap/terminfo) to link.  It didn't need that
>> about a week ago.
> 
> I guess that's because of this change:
> 
>   99649: Eli Zaretskii 2010-03-12 Don't use termcap.c on Posix platforms
> 
> I'm sorry for the breakage this caused.  In my defense I can only say
> that it "worked for me" on GNU/Linux.

I guess you have libncurses installed,

> 
> Feel free to add the missing pieces to the configury to fix this.

Done.  It now aborts if tputs isn't found in ncurses, terminfo or termcap.

	Jan D.